VULKAN_HPP_NAMESPACE::PipelineCoverageToColorStateCreateInfoNV Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::PipelineCoverageToColorStateCreateInfoNV:
[legend]

## Public Member Functions

| PipelineCoverageToColorStateCreateInfoNV (PipelineCoverageToColorStateCreateFlagsNV flags_=PipelineCoverageToColorStateCreateFlagsNV(), Bool32 coverageToColorEnable_=0, uint32_t coverageToColorLocation_=0)
| PipelineCoverageToColorStateCreateInfoNV (VkPipelineCoverageToColorStateCreateInfoNV const &rhs)
PipelineCoverageToColorStateCreateInfoNV & | operator= (VkPipelineCoverageToColorStateCreateInfoNV const &rhs)
PipelineCoverageToColorStateCreateInfoNV & | setPNext (const void *pNext_)
PipelineCoverageToColorStateCreateInfoNV & | setFlags (PipelineCoverageToColorStateCreateFlagsNV flags_)
PipelineCoverageToColorStateCreateInfoNV & | setCoverageToColorEnable (Bool32 coverageToColorEnable_)
PipelineCoverageToColorStateCreateInfoNV & | setCoverageToColorLocation (uint32_t coverageToColorLocation_)
| operator VkPipelineCoverageToColorStateCreateInfoNV const & () const
| operator VkPipelineCoverageToColorStateCreateInfoNV & ()
bool | operator== (PipelineCoverageToColorStateCreateInfoNV const &rhs) const
bool | operator!= (PipelineCoverageToColorStateCreateInfoNV const &rhs) const

## Data Fields

const void * | pNext = nullptr
PipelineCoverageToColorStateCreateFlagsNV | flags
Bool32 | coverageToColorEnable
uint32_t | coverageToColorLocation

## Private Attributes

StructureType | sType = StructureType::ePipelineCoverageToColorStateCreateInfoNV

## Detailed Description

Definition at line 16587 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PipelineCoverageToColorStateCreateInfoNV() [1/2]

VULKAN_HPP_NAMESPACE::PipelineCoverageToColorStateCreateInfoNV::PipelineCoverageToColorStateCreateInfoNV | ( | PipelineCoverageToColorStateCreateFlagsNV | flags_ = `PipelineCoverageToColorStateCreateFlagsNV()`,
|  | Bool32 | coverageToColorEnable_ = `0`,
|  | uint32_t | coverageToColorLocation_ = `0`
| ) |  |

inline

Definition at line 16589 of file vulkan.hpp.

: flags( flags_ )
, coverageToColorEnable( coverageToColorEnable_ )
, coverageToColorLocation( coverageToColorLocation_ )
{
}

## PipelineCoverageToColorStateCreateInfoNV() [2/2]

VULKAN_HPP_NAMESPACE::PipelineCoverageToColorStateCreateInfoNV::PipelineCoverageToColorStateCreateInfoNV | ( | VkPipelineCoverageToColorStateCreateInfoNV const & | rhs | ) |

inline

Definition at line 16598 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineCoverageToColorStateCreateInfoNV ) );
}

References memcpy.

## Member Function Documentation

## operator VkPipelineCoverageToColorStateCreateInfoNV &()

VULKAN_HPP_NAMESPACE::PipelineCoverageToColorStateCreateInfoNV::operator VkPipelineCoverageToColorStateCreateInfoNV & | ( |  | ) |

inline

Definition at line 16637 of file vulkan.hpp.

{
return *reinterpret_cast<VkPipelineCoverageToColorStateCreateInfoNV*>(this);
}

## operator VkPipelineCoverageToColorStateCreateInfoNV const &()

VULKAN_HPP_NAMESPACE::PipelineCoverageToColorStateCreateInfoNV::operator VkPipelineCoverageToColorStateCreateInfoNV const & | ( |  | ) | const

inline

Definition at line 16632 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPipelineCoverageToColorStateCreateInfoNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PipelineCoverageToColorStateCreateInfoNV::operator!= | ( | PipelineCoverageToColorStateCreateInfoNV const & | rhs | ) | const

inline

Definition at line 16651 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PipelineCoverageToColorStateCreateInfoNV& VULKAN_HPP_NAMESPACE::PipelineCoverageToColorStateCreateInfoNV::operator= | ( | VkPipelineCoverageToColorStateCreateInfoNV const & | rhs | ) |

inline

Definition at line 16603 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineCoverageToColorStateCreateInfoNV ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PipelineCoverageToColorStateCreateInfoNV::operator== | ( | PipelineCoverageToColorStateCreateInfoNV const & | rhs | ) | const

inline

Definition at line 16642 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags )
&& ( coverageToColorEnable == rhs.coverageToColorEnable )
&& ( coverageToColorLocation == rhs.coverageToColorLocation );
}

References coverageToColorEnable, coverageToColorLocation, flags, pNext, and sType.

Referenced by operator!=().

## setCoverageToColorEnable()

PipelineCoverageToColorStateCreateInfoNV& VULKAN_HPP_NAMESPACE::PipelineCoverageToColorStateCreateInfoNV::setCoverageToColorEnable | ( | Bool32 | coverageToColorEnable_ | ) |

inline

Definition at line 16620 of file vulkan.hpp.

{
coverageToColorEnable = coverageToColorEnable_;
return *this;
}

References coverageToColorEnable.

## setCoverageToColorLocation()

PipelineCoverageToColorStateCreateInfoNV& VULKAN_HPP_NAMESPACE::PipelineCoverageToColorStateCreateInfoNV::setCoverageToColorLocation | ( | uint32_t | coverageToColorLocation_ | ) |

inline

Definition at line 16626 of file vulkan.hpp.

{
coverageToColorLocation = coverageToColorLocation_;
return *this;
}

References coverageToColorLocation.

## setFlags()

PipelineCoverageToColorStateCreateInfoNV& VULKAN_HPP_NAMESPACE::PipelineCoverageToColorStateCreateInfoNV::setFlags | ( | PipelineCoverageToColorStateCreateFlagsNV | flags_ | ) |

inline

Definition at line 16614 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setPNext()

PipelineCoverageToColorStateCreateInfoNV& VULKAN_HPP_NAMESPACE::PipelineCoverageToColorStateCreateInfoNV::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 16608 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## coverageToColorEnable

Bool32 VULKAN_HPP_NAMESPACE::PipelineCoverageToColorStateCreateInfoNV::coverageToColorEnable

Definition at line 16662 of file vulkan.hpp.

Referenced by operator==(), and setCoverageToColorEnable().

## coverageToColorLocation

uint32_t VULKAN_HPP_NAMESPACE::PipelineCoverageToColorStateCreateInfoNV::coverageToColorLocation

Definition at line 16663 of file vulkan.hpp.

Referenced by operator==(), and setCoverageToColorLocation().

## flags

PipelineCoverageToColorStateCreateFlagsNV VULKAN_HPP_NAMESPACE::PipelineCoverageToColorStateCreateInfoNV::flags

Definition at line 16661 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::PipelineCoverageToColorStateCreateInfoNV::pNext = nullptr

Definition at line 16660 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::PipelineCoverageToColorStateCreateInfoNV::sType = StructureType::ePipelineCoverageToColorStateCreateInfoNV

private

Definition at line 16657 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PipelineCoverageToColorStateCreateInfoNV::coverageToColorLocation
uint32_t coverageToColorLocation
Definition: vulkan.hpp:16663
VULKAN_HPP_NAMESPACE::PipelineCoverageToColorStateCreateInfoNV::pNext
const void * pNext
Definition: vulkan.hpp:16660
VULKAN_HPP_NAMESPACE::PipelineCoverageToColorStateCreateInfoNV::PipelineCoverageToColorStateCreateInfoNV
PipelineCoverageToColorStateCreateInfoNV(PipelineCoverageToColorStateCreateFlagsNV flags_=PipelineCoverageToColorStateCreateFlagsNV(), Bool32 coverageToColorEnable_=0, uint32_t coverageToColorLocation_=0)
Definition: vulkan.hpp:16589
VULKAN_HPP_NAMESPACE::PipelineCoverageToColorStateCreateInfoNV::coverageToColorEnable
Bool32 coverageToColorEnable
Definition: vulkan.hpp:16662
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkPipelineCoverageToColorStateCreateInfoNV
Definition: vulkan_core.h:7743
VULKAN_HPP_NAMESPACE::PipelineCoverageToColorStateCreateInfoNV::operator==
bool operator==(PipelineCoverageToColorStateCreateInfoNV const &rhs) const
Definition: vulkan.hpp:16642
VULKAN_HPP_NAMESPACE::PipelineCoverageToColorStateCreateInfoNV::sType
StructureType sType
Definition: vulkan.hpp:16657
VULKAN_HPP_NAMESPACE::PipelineCoverageToColorStateCreateInfoNV::flags
PipelineCoverageToColorStateCreateFlagsNV flags
Definition: vulkan.hpp:16661
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480